PropertyBinding (Groovy 5.0.0)
Description: declaration: package: org.apache.groovy.swing.binding, class: PropertyBinding

Package org.apache.groovy.swing.binding

# Class PropertyBinding

java.lang.Object
org.apache.groovy.swing.binding.PropertyBinding

All Implemented Interfaces:
  `SourceBinding`, `TargetBinding`, `TriggerBinding`

public class PropertyBinding extends Object implements SourceBinding, TargetBinding, TriggerBinding

Since:
  Groovy 1.1

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `PropertyBinding.UpdateStrategy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyBinding(Object bean, String propertyName)`
  `PropertyBinding(Object bean, String propertyName, String updateStrategy)`
  `PropertyBinding(Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FullBinding`
  `createBinding(SourceBinding source, TargetBinding target)`
  `Object`
  `getBean()`
  `String`
  `getPropertyName()`
  `Object`
  `getSourceValue()`
  `PropertyBinding.UpdateStrategy`
  `getUpdateStrategy()`
  `boolean`
  `isNonChangeCheck()`
  `void`
  `setBean(Object bean)`
  `void`
  `setNonChangeCheck(boolean nonChangeCheck)`
  `void`
  `setPropertyName(String propertyName)`
  `void`
  `updateTargetValue(Object newValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyBinding

    public PropertyBinding(Object bean, String propertyName)

  - ### PropertyBinding

    public PropertyBinding(Object bean, String propertyName, String updateStrategy)

  - ### PropertyBinding

    public PropertyBinding(Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)

- ## Method Details

  - ### getUpdateStrategy

    public PropertyBinding.UpdateStrategy getUpdateStrategy()

  - ### updateTargetValue

    public void updateTargetValue(Object newValue)
    Specified by:
      `updateTargetValue` in interface `TargetBinding`

  - ### isNonChangeCheck

    public boolean isNonChangeCheck()

  - ### setNonChangeCheck

    public void setNonChangeCheck(boolean nonChangeCheck)

  - ### getSourceValue

    public Object getSourceValue()
    Specified by:
      `getSourceValue` in interface `SourceBinding`

  - ### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)
    Specified by:
      `createBinding` in interface `TriggerBinding`

  - ### getBean

    public Object getBean()

  - ### setBean

    public void setBean(Object bean)

  - ### getPropertyName

    public String getPropertyName()

  - ### setPropertyName

    public void setPropertyName(String propertyName)